Facebook Search Videos API

Search public Facebook videos and Reels by keyword, not text or photo posts. Each successful page costs 1 credit, even with no matches.

1 creditper request
GET
/v1/facebook/search/videos
curl "https://api.scrapecreators.com/v1/facebook/search/videos" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "query": "dogs",
  "videos": [
    {
      "id": "1972139093484105",
      "is_paid_partnership": null,
      "url": "https://www.facebook.com/reel/1972139093484105/",
      "title": "Extremely strong dogs 🦍",
      "description": "You shouldn't underestimate the strength of your large dogs 🦍#dog #bigdog #dogs #jozodogs #pet",
      "author": {
        "id": "100071029295578",
        "name": "Jozo Dogs",
        "url": "https://www.facebook.com/jozodogs"
      },
      "creation_time": null,
      "publish_time": null,
      "relative_time_text": "Sep 5 · 89K views",
      "duration_ms": null,
      "duration_text": "0:17",
      "thumbnail_url": "https://scontent-lax3-2.xx.fbcdn.net/v/t15.5256-10/797452339_4437994959794452_2679783842489764932_n.jpg?stp=c0.83.206.115a_dst-jpg_p206x206_tt6&_nc_cat=111&ccb=1-7&_nc_sid=e3495b&_nc_ohc=xtv7jwiwuNQQ7kNvwEbj3vl&_nc_oc=AdoHeYyJmQ9f55LFZDTEnu_GlPQudlYYT5BGRCkZQvvXVaxUz4VgCyShthnifB9vaMs&_nc_zt=23&_nc_ht=scontent-lax3-2.xx&_nc_gid=r5QqvHq8oDddJgzN0OeHGw&_nc_ss=79180&oh=00_AQPGWtsD2mkz5PUZN7u9xH2PnLYfdYpmq2TeyIpwXdC3tA&oe=6AC8E5A4"
    },
    {
      "id": "1218486163512401",
      "is_paid_partnership": null,
      "url": "https://www.facebook.com/reel/1218486163512401/",
      "title": null,
      "description": null,
      "author": {
        "id": "61584767065991",
        "name": "Funny dogs",
        "url": null
      },
      "creation_time": 1765836166,
      "publish_time": 1765836166,
      "relative_time_text": null,
      "duration_ms": 10100,
      "duration_text": null,
      "thumbnail_url": "https://scontent-lax3-2.xx.fbcdn.net/v/t15.5256-10/595752725_833643522984354_1476671407824669607_n.jpg?stp=dst-jpg_tt6&cstp=mx720x1280&ctp=s960x960&_nc_cat=107&ccb=1-7&_nc_sid=d2b52d&_nc_ohc=Gt-Bfv36hO0Q7kNvwF2Mc3V&_nc_oc=AdrQK_tAXcssFaTl7-GJBARVwN9_CRHQNV6NObjE0mVcWngxzYYON3bwT4-He8uSrn4&_nc_zt=23&_nc_ht=scontent-lax3-2.xx&_nc_gid=r5QqvHq8oDddJgzN0OeHGw&_nc_ss=79180&oh=00_AQNs56UHkQSL7eL-I-rIPAvU9iZtTzTP54X40XnNr5O-1Q&oe=6AC9024C"
    }
  ],
  "cursor": "eyJ...",
  "has_more": true
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

query
string
required

The keyword or phrase to search for

Example:
ai agents
cursor
string

The opaque cursor returned by the previous response. Keep the query unchanged when paginating. Stop when cursor is null or has_more is false.

Example:
eyJ...